package com.ruoyi.project.patrol.commonuse.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.commonuse.mapper.TCommonuseDownspoutMapper;
import com.ruoyi.project.patrol.commonuse.domain.TCommonuseDownspout;
import com.ruoyi.project.patrol.commonuse.service.ITCommonuseDownspoutService;

/**
 * 落水管Service业务层处理
 * 
 * @author admin
 * @date 2023-11-08
 */
@Service
public class TCommonuseDownspoutServiceImpl implements ITCommonuseDownspoutService 
{
    @Autowired
    private TCommonuseDownspoutMapper tCommonuseDownspoutMapper;

    /**
     * 查询落水管
     * 
     * @param id 落水管主键
     * @return 落水管
     */
    @Override
    public TCommonuseDownspout selectTCommonuseDownspoutById(Long id)
    {
        return tCommonuseDownspoutMapper.selectTCommonuseDownspoutById(id);
    }

    /**
     * 查询落水管列表
     * 
     * @param tCommonuseDownspout 落水管
     * @return 落水管
     */
    @Override
    public List<TCommonuseDownspout> selectTCommonuseDownspoutList(TCommonuseDownspout tCommonuseDownspout)
    {
        return tCommonuseDownspoutMapper.selectTCommonuseDownspoutList(tCommonuseDownspout);
    }

    /**
     * 新增落水管
     * 
     * @param tCommonuseDownspout 落水管
     * @return 结果
     */
    @Override
    public int insertTCommonuseDownspout(TCommonuseDownspout tCommonuseDownspout)
    {
        return tCommonuseDownspoutMapper.insertTCommonuseDownspout(tCommonuseDownspout);
    }

    /**
     * 修改落水管
     * 
     * @param tCommonuseDownspout 落水管
     * @return 结果
     */
    @Override
    public int updateTCommonuseDownspout(TCommonuseDownspout tCommonuseDownspout)
    {
        return tCommonuseDownspoutMapper.updateTCommonuseDownspout(tCommonuseDownspout);
    }

    /**
     * 批量删除落水管
     * 
     * @param ids 需要删除的落水管主键
     * @return 结果
     */
    @Override
    public int deleteTCommonuseDownspoutByIds(Long[] ids)
    {
        return tCommonuseDownspoutMapper.deleteTCommonuseDownspoutByIds(ids);
    }

    /**
     * 删除落水管信息
     * 
     * @param id 落水管主键
     * @return 结果
     */
    @Override
    public int deleteTCommonuseDownspoutById(Long id)
    {
        return tCommonuseDownspoutMapper.deleteTCommonuseDownspoutById(id);
    }
}
